add_library(
        flyff-api
        "src/flyff.cpp"
        "src/Neuz.cpp"
        "src/object/mover/Mover.cpp"
        "src/import.cpp"
        "src/api.cpp"
        "include/flyff.h"
        src/core.h
        src/skill/SkillProperty.h
        src/object/ObjectProperty.h src/item/ItemKind2.h src/item/ItemKind3.h src/item/Part.h src/item/InventoryItem.h src/object/mover/JobProperty.h src/object/mover/ParamID.h src/object/mover/MoverProperty.h src/object/mover/Rank.h src/object/mover/Element.h)

target_include_directories(flyff-api PUBLIC "include")
target_link_libraries(flyff-api PUBLIC flyff-client fugg-api)